Bug 212226 - Polish characters don't fit in all the "Sans" fonts.
Polish characters don't fit in all the "Sans" fonts.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: freetype (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-25 14:40 EDT by Leszek Matok
Modified: 2008-05-06 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:32:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
demonstration of broken Sans Regular (29.38 KB, image/png)
2006-10-25 14:45 EDT, Leszek Matok
no flags Details
demonstration of broken Sans Bold (29.18 KB, image/png)
2006-10-25 14:46 EDT, Leszek Matok
no flags Details

  None (edit)
Description Leszek Matok 2006-10-25 14:40:49 EDT
My system is FC6 upgraded from FC5 with apt. I know this isn't a supported
method, so reject the bug if you wish, it's okay with me, I'll try to reproduce
it on an Anaconda-upgraded system :)

The problem will be illustrated using two screenshots of font selector from
gnome-font-properties. Both show the default (!) test string for the Polish
locale. As you will see, local characters being just a version of some latin
char with a dot/acute/whatever, have different sizes. Only some of them are used
in the preview text, but others are equally or even more (especially "ł") ugly.
This happens to all the "sans" fonts except one (can't remember, which one; it
was Nimbus or Luxi).

Every GNOME program on my desktop uses those fonts, looking really, really bad.

There are many fonts working with less problems, but it seems to me that every
single one has some rendering problems resulting in differences between "A" and
"Ą" (I'm typing this using standard "Monospace 10", where both letters are the
same size, but there's an additional grey dot on top of "Ą").

The screenshots are made with freetype-2.2.1-10.fc6. This is what I get with
FC6. Downgrading to FC5's freetype-2.1.10-5.2.1 seems to fix the issue.
Comment 1 Leszek Matok 2006-10-25 14:45:34 EDT
Created attachment 139379 [details]
demonstration of broken Sans Regular
Comment 2 Leszek Matok 2006-10-25 14:46:54 EDT
Created attachment 139380 [details]
demonstration of broken Sans Bold
Comment 3 Leszek Matok 2006-10-25 16:39:34 EDT
A friend of mine confirms that the same happens with FC6 upgraded from FC5 with
Anaconda. I'd be surprised if fresh installs were any better.

Meanwhile I tried freetype from FC5 with BCI enabled and this one wins in every
comparison (with "slight" hinting it looks marvelous). Rebuilding FC6's freetype
with BCI doesn't change anything WRT my issues.
Comment 4 Behdad Esfahbod 2006-10-25 21:45:04 EDT
Is this the same bug as bug 210491?
Comment 5 Leszek Matok 2006-10-26 01:26:00 EDT
I can't read greek, but after looking at the screenshots I think it may be a
duplicate. Screenshots attached to bug 210491 show grey pixels above letters
(which I was complaining about already) and the one linked from
freedesktop.org's bugzilla shows different letter sizes in both bold and regular
Sans. I'm now on the CC list of that bug, so you can safely mark this one as a
duplicate and I'll scream loud if #210491's fix won't fix Polish installation.
Comment 6 Alexei Podtelezhnikov 2006-12-02 14:05:51 EST
Bug 212170 is along the same lines of breakage but for Cyrillic.
Freetype 2.2.1 is just no good. Upstream developers claim that 2.2.2 will be 
much better. Here is their truly beautiful latest developments
http://lists.nongnu.org/archive/html/freetype-devel/2006-11/msg00030.html
Comment 7 Alexei Podtelezhnikov 2007-04-05 19:02:55 EDT
I have built and uploaded freetype-2.3.3 RPMS for Fedora Core 6.

http://apodtele.googlepages.com/freetype-2.3.3-0.i386.rpm
http://apodtele.googlepages.com/freetype-devel-2.3.3-0.i386.rpm
http://apodtele.googlepages.com/freetype-demos-2.3.3-0.i386.rpm

I will be wasting my web space for a month until May 5, 2007
unless there is an official update.   
Comment 8 Bug Zapper 2008-04-04 00:06:43 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2008-05-06 12:32:55 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.